#1 Handling of messages that fail validation

closed-fixed
Bob Denny
5
2012-03-09
2010-03-01
Bob Denny
No

When logging level is set to normal, an incoming messages that fail validation are simply ignored. It would be much better if they were (a) saved in the archive, and (b) their IVORN logged along with the validation failure detail. Here's an example of the log as it is now:

2010-02-28T15:34:09 [131.215.145.173] dist ivo://nasa.gsfc.gcn/INTEGRAL#Point_Dir_2010-02-28T15:35:10.00_000000-155
2010-02-28T15:45:48 [144.173.143.17] dist ivo://nasa.gsfc.gcn/GRO#Test_Pos_2010-02-28T15:45:42.00_000020-167
2010-02-28T15:53:59 Validation error at line 22 position 40
The 'ISOTime' element is invalid - The value '' is invalid according to its datatype 'http://voevent.dc3.com/VOEventMini/v1.1:ISOTime' - The string '' is not a valid XsdDateTime value.
The string '' is not a valid XsdDateTime value.

2010-02-28T16:05:36 [131.215.145.173] dist ivo://nasa.gsfc.gcn/INTEGRAL#Point_Dir_2010-02-28T16:07:07.00_000000-188
2010-02-28T16:11:05 [144.173.143.17] dist ivo://nasa.gsfc.gcn/SWIFT#BAT_GRB_Test_Pos_2010-02-28T16:10:53.00-195

Nowhere is there any info on the message that failed, except for the time at which it arrived.

Discussion

  • Bob Denny
    Bob Denny
    2010-03-17

    • assigned_to: dc3dreamer --> nobody
     
  • Bob Denny
    Bob Denny
    2012-03-09

    • assigned_to: nobody --> dc3dreamer
     
  • Bob Denny
    Bob Denny
    2012-03-09

    • status: open --> closed
     
  • Bob Denny
    Bob Denny
    2012-03-09

    • status: closed --> closed-fixed